import 'package:krow_core/core.dart';
import 'package:krow_domain/krow_domain.dart';
import '../repositories/clock_in_repository_interface.dart';

/// Use case for retrieving the user's scheduled shifts for today.
class GetTodaysShiftUseCase implements NoInputUseCase<List<Shift>> {

  GetTodaysShiftUseCase(this._repository);
  final ClockInRepositoryInterface _repository;

  @override
  Future<List<Shift>> call() {
    return _repository.getTodaysShifts();
  }
}
